#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint approov_discovery.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'approov_discovery'
  s.version          = '0.0.1'
  s.summary          = 'Flutter plugin to use Approov in discovery mode.'
  s.description      = <<-DESC
Fluter plugin project for using Approov in discovery mode.
                       DESC
  s.homepage         = 'https://approov.io'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Critical Blue Ltd' => 'support@approov.io' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '8.0'

  # Flutter.framework does not contain a i386 slice.
  # TODO? Only x86_64 simulators are supported.
  # TODO? s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }

  s.vendored_frameworks = 'approov.xcframework'
end
